<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="scicos_cpr">
  <refnamediv>
    <refname>scicos_cpr</refname>
    <refpurpose>Compiled Scicos structure</refpurpose>
  </refnamediv>
  <refsection id="Module_scicos_cpr">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="xcos">xcos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="cpr_scicos_cpr">
    <title>cpr</title>
    <para>
 The Scilab object <link linkend="scicos_cpr">cpr</link>
contains 
 the result of the compilation.
</para>
    <para>
That structure includes fields <link linkend="scicos_state">state</link>, <link linkend="scicos_sim">sim</link>,

cor and corinv.
</para>
    <para>
</para>
    <para>
</para>
    <para>
Size : 5.
</para>
    <para>
Type : scilab list.
</para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">state</emphasis>
        </para>
        <para> Scilab typed list of type xcs. It contains all the states of the model, that is, everything than can evolve during the simulation.</para>
        <para> state contains x, z, oz, iz, tevts, evtspt, pointi and outtb.</para>
        <para> 
Size : 9.
</para>
        <para>
Type : scilab tlist.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">sim</emphasis>
        </para>
        <para> Scilab typed list of type scs. It contains static arrays coming from the result of the compilation. That arrays does not evolve during the simulation.</para>
        <para> 
Size : 33.
</para>
        <para>
Type : scilab tlist.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">cor</emphasis>
        </para>
        <para> It is a list with same recursive structure as scs_m. Each leaf contains the index of associated block in sim data structure.
Size : number of objects in scs_m.
</para>
        <para>
Type : scilab list.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">corinv</emphasis>
        </para>
        <para> corinv(i) is the path of i th block defined in sim data structure in the scs_m data structure.</para>
        <para> 
Size : number of blocks in the compiled structre.
</para>
        <para>
Type : scilab list.
</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Filecontent_scicos_cpr">
    <title>File content</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos/macros/scicos_scicos/scicos_cpr.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
